'''
Created on Oct 14, 2012

A type assignment specification for a file system

@author: Carr
'''

class TypeAssignment(object):

    def __init__(self, typeName, isRecursive, isStatic, paths) :
        '''
        
        :param typeName: the name of the type
        :param isRecursive: is the assignment recursive
        :param isStatic: is the assignment static
        :param paths: to what paths should the assignment occur
        '''
        self.type = typeName
        self.recursive = isRecursive
        self.staticOpt = isStatic
        self.paths = paths
    
    
    def getType(self) : return self.type 
    def isRecursive(self) : return self.recursive 
    def isStatic(self) : return self.staticOpt 
    def getPathList(self) : return self.paths